/*******************************************************************************
 * Tree container
 */
ul.dynatree-container
{
	font-family: tahoma, arial, helvetica;
	font-size: 10pt; /* font size should not be too big */
	white-space: nowrap;
	padding: 0px 3px;
	margin: 5px 0px;
	background-color: white;

	overflow: auto;
}

ul.dynatree-container ul
{
	padding: 0 0 0 0px;
}

ul.dynatree-container li
{
	list-style-image: none;
	list-style-position: outside;
	list-style-type: none;
	-moz-background-clip:border;
	-moz-background-inline-policy: continuous;
	-moz-background-origin: padding;
	background-attachment: scroll;
	background-color: transparent;
	background-position: 0 0;
	background-repeat: repeat-y;
	background-image: none;  /* custom: no v-lines */

	margin:0;
/*    padding:3px 0 3px 0;*/
	/*padding:1px 0 0 0;*/
}

ul.dynatree-container li ul
{
	padding: 0 0 0 16px;
	*padding: 0 0 0 8px;
}

ul.dynatree-container li li
{
    padding:3px 0 3px 16px;
    *padding:3px 0 3px 8px;
/*    padding:3px 0 3px 0;*/
	/*padding:1px 0 0 0;*/
}

/* Suppress lines for last child node */
ul.dynatree-container li.dynatree-lastsib
{
	background-image: none;
}
/* Suppress lines if level is fixed expanded (option minExpandLevel) */
ul.dynatree-no-connector > li
{
	background-image: none;
}

/* Style, when control is disabled */
.ui-dynatree-disabled ul.dynatree-container
{
	opacity: 0.5;
/*	filter: alpha(opacity=50); /* Yields a css warning */
	background-color: silver;
}


/*******************************************************************************
 * Default for custom icons
 */
/*
ul.dynatree-container img
{
	width: 16px;
	height: 16px;
	margin-left: 3px;
	vertical-align: top;
	border-style: none;
}
*/

/*******************************************************************************
 * Common icon definitions
 */
span.dynatree-empty,
span.dynatree-vline,
span.dynatree-connector,
span.dynatree-expander,
span.dynatree-icon,
span.dynatree-checkbox,
span.dynatree-radio,
span.dynatree-drag-helper-img,
#dynatree-drop-marker
{
	width: 16px;
	height: 16px;
	display: -moz-inline-box; /* @ FF 1+2 */
	display: inline-block; /* Required to make a span sizeable */
	vertical-align: top;
	background-repeat: no-repeat;
	background-position: left;
}

/*******************************************************************************
 * Lines and connectors
 */

/*
span.dynatree-empty
{
}
span.dynatree-vline
{
}
span.dynatree-connector
{
}
.dynatree-lastsib span.dynatree-connector
{
}

/*******************************************************************************
 * Expander icon
 * Note: IE6 doesn't correctly evaluate multiples class names,
 *		 so we create combined class names that can be used in the CSS.
 *
 * Prefix: dynatree-exp-
 * 1st character: 'e': expanded, 'c': collapsed
 * 2nd character (optional): 'd': lazy (Delayed)
 * 3rd character (optional): 'l': Last sibling
 */

span.dynatree-expander
{
	
	background-image: url("images/dynatree/skin-vista/collapsed.gif");
	
}
span.dynatree-expander:hover
{
	
	background-image: url("images/dynatree/skin-vista/collapsed_hover.gif");
	
}
.dynatree-exp-cl span.dynatree-expander /* Collapsed, not delayed, last sibling */
{
}
.dynatree-exp-cd span.dynatree-expander /* Collapsed, delayed, not last sibling */
{
}
.dynatree-exp-cdl span.dynatree-expander /* Collapsed, delayed, last sibling */
{
}
.dynatree-exp-e span.dynatree-expander,  /* Expanded, not delayed, not last sibling */
.dynatree-exp-ed span.dynatree-expander,  /* Expanded, delayed, not last sibling */
.dynatree-exp-el span.dynatree-expander,  /* Expanded, not delayed, last sibling */
.dynatree-exp-edl span.dynatree-expander  /* Expanded, delayed, last sibling */
{
	
	background-image: url("images/dynatree/skin-vista/expanded.gif");
	
}
.dynatree-exp-e span.dynatree-expander:hover,  /* Expanded, not delayed, not last sibling */
.dynatree-exp-ed span.dynatree-expander:hover,  /* Expanded, delayed, not last sibling */
.dynatree-exp-el span.dynatree-expander:hover,  /* Expanded, not delayed, last sibling */
.dynatree-exp-edl span.dynatree-expander:hover  /* Expanded, delayed, last sibling */
{
	
	background-image: url("images/dynatree/skin-vista/expanded_hover.gif");
	
}
.dynatree-loading span.dynatree-expander  /* 'Loading' status overrides all others */
{
	background-image: url("images/dynatree/skin-vista/ltWait.gif");
}


/*******************************************************************************
 * Checkbox icon
 */
span.dynatree-checkbox
{
	margin-left: 3px;
	background-image: url("images/dynatree/skin-vista/cbUnchecked.gif");
}
span.dynatree-checkbox:hover
{
	background-image: url("images/dynatree/skin-vista/cbUnchecked_hover.gif");
}

.dynatree-partsel span.dynatree-checkbox
{
	background-image: url("images/dynatree/skin-vista/cbIntermediate.gif");
}
.dynatree-partsel span.dynatree-checkbox:hover
{
	background-image: url("images/dynatree/skin-vista/cbIntermediate_hover.gif");
}

.dynatree-selected span.dynatree-checkbox
{
	background-image: url("images/dynatree/skin-vista/cbChecked.gif");
}
.dynatree-selected span.dynatree-checkbox:hover
{
	background-image: url("images/dynatree/skin-vista/cbChecked_hover.gif");
}

/*******************************************************************************
 * Radiobutton icon
 * This is a customization, that may be activated by overriding the 'checkbox'
 * class name as 'dynatree-radio' in the tree options.
 */
span.dynatree-radio
{
	margin-left: 3px;
	background-image: url("images/dynatree/skin-vista/rbUnchecked.gif");
}
span.dynatree-radio:hover
{
	background-image: url("images/dynatree/skin-vista/rbUnchecked_hover.gif");
}

.dynatree-partsel span.dynatree-radio
{
	background-image: url("images/dynatree/skin-vista/rbIntermediate.gif");
}
.dynatree-partsel span.dynatree-radio:hover
{
	background-image: url("images/dynatree/skin-vista/rbIntermediate_hover.gif");
}

.dynatree-selected span.dynatree-radio
{
	background-image: url("images/dynatree/skin-vista/rbChecked.gif");
}
.dynatree-selected span.dynatree-radio:hover
{
	background-image: url("images/dynatree/skin-vista/rbChecked_hover.gif");
}

/*******************************************************************************
 * Node type icon
 * Note: IE6 doesn't correctly evaluate multiples class names,
 *		 so we create combined class names that can be used in the CSS.
 *
 * Prefix: dynatree-ico-
 * 1st character: 'e': expanded, 'c': collapsed
 * 2nd character (optional): 'f': folder
 */

span.dynatree-icon /* Default icon */
{
	margin-left: 3px;
	background-image: url("images/dynatree/skin-vista/document.gif");
}

.dynatree-has-children span.dynatree-icon /* Default icon */
{
    background-image: url("images/dynatree/skin-vista/doc_with_children.gif");
}

.dynatree-ico-cf span.dynatree-icon  /* Collapsed Folder */
{
	background-image: url("images/dynatree/skin-vista/folder.gif");
}

.dynatree-ico-ef span.dynatree-icon  /* Expanded Folder */
{
	background-image: url("images/dynatree/skin-vista/folder.gif");
}

/* Status node icons */

.dynatree-statusnode-wait span.dynatree-icon
{
	background-image: url("images/dynatree/skin-vista/ltWait.gif");
}

.dynatree-statusnode-error span.dynatree-icon
{
	background-image: url("images/dynatree/skin-vista/ltError.gif");
}

/*******************************************************************************
 * Node titles
 */

/* @Chrome: otherwise hit area of node titles is broken (issue 133)
   Removed again for issue 165; (133 couldn't be reproduced) */
span.dynatree-node
{
/*  display: -moz-inline-box; /* @ FF 1+2 */
/*  display: inline-block; /* Required to make a span sizeable */
}


/* Remove blue color and underline from title links */
ul.dynatree-container a
/*, ul.dynatree-container a:visited*/
{
	color: black; /* inherit doesn't work on IE */
	text-decoration: none;
	vertical-align: top;
	margin: 0px;
	margin-left: 3px;
/*	outline: 0; /* @ Firefox, prevent dotted border after click */
	/* Set transparent border to prevent jumping when active node gets a border
	   (we can do this, because this theme doesn't use vertical lines)
	   */
	border: 1px solid white; /* Note: 'transparent' would not work in IE6 */

}

ul.dynatree-container a:hover
{
/*	text-decoration: underline; */
	background: #F2F7FD; /* light blue */
	border-color: #B8D6FB; /* darker light blue */
}

span.dynatree-node a
{
	display: inline-block; /* Better alignment, when title contains <br> */
/*	vertical-align: top;*/
	padding-left: 3px;
	padding-right: 3px; /* Otherwise italic font will be outside bounds */
	/*	line-height: 16px; /* should be the same as img height, in case 16 px */
}
span.dynatree-folder a
{
/*	font-weight: bold; */ /* custom */
}

ul.dynatree-container a:focus,
span.dynatree-focused a:link  /* @IE */
{
	background-color: #EFEBDE; /* gray */
}

span.dynatree-has-children a
{
/*	font-style: oblique; /* custom: */
}

span.dynatree-expanded a
{
}

span.dynatree-selected a
{
/*	color: green; */
	font-style: italic;
}

span.dynatree-active a
{
	border: 1px solid #99DEFD;
	background-color: #D8F0FA;
}

/*******************************************************************************
 * Drag'n'drop support
 */

/*** Helper object ************************************************************/
div.dynatree-drag-helper
{
}
div.dynatree-drag-helper a
{
	border: 1px solid gray;
	background-color: white;
	padding-left: 5px;
	padding-right: 5px;
	opacity: 0.8;
}
span.dynatree-drag-helper-img
{
	/*
	position: relative;
	left: -16px;
	*/
}
div.dynatree-drag-helper /*.dynatree-drop-accept*/
{
/*    border-color: green;
	background-color: red;*/
}
div.dynatree-drop-accept span.dynatree-drag-helper-img
{
	background-image: url("images/dynatree/skin-vista/drop_accept.gif");
}
div.dynatree-drag-helper.dynatree-drop-reject
{
	border-color: red;
}
div.dynatree-drop-reject span.dynatree-drag-helper-img
{
	background-image: url("images/dynatree/skin-vista/drop_reject.gif");
}

/*** Drop marker icon *********************************************************/

#dynatree-drop-marker
{
	width:24px;
	position: absolute;
	background-image: url("images/dynatree/skin-vista/drop_here.gif");
}
#dynatree-drop-marker.dynatree-drop-after,
#dynatree-drop-marker.dynatree-drop-before
{
	width:64px;
	background-image: url("images/dynatree/skin-vista/drop_sibling_here.gif");
}
#dynatree-drop-marker.dynatree-drop-copy
{
	background-image: url("images/dynatree/skin-vista/copy_here.gif");
}
#dynatree-drop-marker.dynatree-drop-move
{
	background-image: url("images/dynatree/skin-vista/move_here.gif");
}

/*** Source node while dragging ***********************************************/

span.dynatree-drag-source
{
	/* border: 1px dotted gray; */
	background-color: #e0e0e0;
}
span.dynatree-drag-source a
{
	color: gray;
}

/*** Target node while dragging cursor is over it *****************************/

span.dynatree-drop-target
{
	/*border: 1px solid gray;*/
}
span.dynatree-drop-target a
{
	/*background-repeat: no-repeat;
	background-position: right;
	background-image: url("images/dynatree/skin-vista/drop_child.gif");*/
}
span.dynatree-drop-target.dynatree-drop-accept a
{
	/*border: 1px solid green;*/
	background-color: #3169C6 !important;
	color: white !important; /* @ IE6 */
	text-decoration: none;
}
span.dynatree-drop-target.dynatree-drop-reject
{
	/*border: 1px solid red;*/
}
span.dynatree-drop-target.dynatree-drop-after a
{
	/*background-repeat: repeat-x;
	background-position: bottom;
	background-image: url("images/dynatree/skin-vista/drop_append.gif");*/
}

/***** Added By Ioan *****/

span.level_0 a {
	font-size: 14px;
	font-weight: bold;
	color: #000000;
}

span.level_1 a {
	font-size: 13px;
	font-weight: bold;
	color: #374C6F;
}

span.level_2 a {
	font-size: 12px;
	font-weight: bold;
	color: #5F5F5F;
}

span.level_3 a {
	font-size: 12px;
	font-weight: normal;
	color: #000000;
}

span.level_4 a {
	font-size: 12px;
	font-weight: normal;
	color: #6F6F6F;
}

span.level_article a {
	font-size: 12px;
	font-weight: normal;
	color: #0057EF;
	text-decoration: underline;
}

